Bug 1107579 - Operation Decommission fails when undeploying more storage nodes parallely
Summary: Operation Decommission fails when undeploying more storage nodes parallely
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node
Version: JON 3.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: JON 4.0.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 1120418
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 09:18 UTC by Filip Brychta
Modified: 2019-08-05 14:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 14:54:18 UTC
Type: Bug


Attachments (Terms of Use)
server log (28.25 KB, text/x-log)
2014-06-10 09:18 UTC, Filip Brychta
no flags Details

Description Filip Brychta 2014-06-10 09:18:07 UTC
Created attachment 907101 [details]
server log

Description of problem:
I had 4 storage nodes all UP and in Cluster status NORMAL. Then I undeployed 3 of them via UI without waiting for previous storage to be DECOMMISSIONED and one of them was not undeployed because of following error:
Undeployment has been aborted due to failed operation [Decommission]

Version-Release number of selected component (if applicable):
3.2.0.GA Update 02
Build Number :	
055b880:0620403

How reproducible:
2/2

Steps to Reproduce:
1. have 4 storage nodes all UP and in Cluster status NORMAL
2. undeploy 3 of them (those which were deployed later) via UI without waiting for previous storage to be DECOMMISSIONED


Actual results:
Two of them were correctly DECOMMISSIONED but one was not undeployed and server.log contained following err:
04:59:52,395 ERROR [org.rhq.enterprise.server.storage.StorageNodeOperationsHandlerBean] (EJB default - 7) Undeployment has been aborted due to failed operation [Decommission] on Resource[id=10090, uuid=377893fe-fa64-41c0-a53b-61272f72445f, type={RHQStorage}RHQ Storage Node, key=RHQ Storage Node(fbr-jon32-dr1.bc.jonqe.lab.eng.bos.redhat.com), name=RHQ Storage Node(fbr-jon32-dr1.bc.jonqe.lab.eng.bos.redhat.com), parent=fbr-jon32-dr1.bc.jonqe.lab.eng.bos.redhat.com, version=4.9.0.JON320GA]: java.lang.Exception: Decommission operation failed: org.mc4j.ems.connection.EmsInvocationException:Exception on invocation of [decommission]javax.management.RuntimeMBeanException: java.lang.UnsupportedOperationException: data is currently moving to this node; unable to leave the ring -> javax.management.RuntimeMBeanException:java.lang.UnsupportedOperationException: data is currently moving to this node; unable to leave the ring -> java.lang.UnsupportedOperationException:data is currently moving to this node; unable to leave the ring
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:744)


Expected results:
All 3 storage nodes are undeployed

Additional info:
Workaround: navigate to the storage node which failed to undeploy and run operation Decommission manually.

Server log attached

Comment 2 John Sanda 2014-08-29 12:17:01 UTC
Bumping the target release due to time constraints. Work has been started though in the storage_workflow branch.

Comment 4 Filip Brychta 2019-08-05 14:54:18 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.